@font-face {
  font-family: 'RockSalt';
  src: url('../fonts/RockSalt-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

html {
    height:100%;
}

body {
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
    width:100%;
    min-height: 100vh;
	margin: 0px;
	padding: 0px;
    background-color: #fff;
	font-size: 16px;
	line-height: 1.5;
    box-sizing: border-box;
    font-family:"Noto Sans JP","Hiragino Kaku Gothic ProN","Hiragino Sans","Yu Gothic","YuGothic","Meiryo",sans-serif;
}
a {
    color: inherit;
    text-decoration: none;
}
button {
    background-color: #fff;
}
img {
    border-radius:8px;
}
#top {
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    z-index: 1030;
    margin: 0px;
    padding: 0px;
    background-color:#fff;
}
#main{
    flex:1 0 auto; min-height:0;
}
#bottom {
    margin-top:auto;
}

.heading.ruby {
  position: relative;
  padding-top: 1.2em !important;
}

.lead p,
.lead-detail p,
.text p,
.text-detail p,
.detail-text p{
    margin-bottom: 10px;
}

.caption h2,
.caption h3,
.caption h4,
.caption-gallery h2,
.caption-gallery h3,
.caption-gallery h4,
.caption-gallery-detail h2,
.caption-gallery-detail h3,
.caption-gallery-detail h4{
    font-size: 16px;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.5);
}

.caption p,
.caption-detail p,
.caption-gallery p,
.caption-gallery-detail p {
    font-size: 14px;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.5);
}
.button {
    min-height:54px;
}
.button  a {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    height:100%;
    font-size: 14px;
    border-radius:4px;
    font-weight:700;
}
a.gradation:hover {
    background-image: linear-gradient(90deg, #d0f6d0,#ffef97 );
}

.swiper-scrollbar {
    display:none !important;
}

.slide-menu-btn {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 16px;
    right: 16px;
    width: 40px;
    height: 40px;
    border: none;
    cursor: pointer;
    padding: 0;
    z-index: 1100;
    background-color: #2D91AA;
    font-size: 24px;
    font-weight: normal !important;
    border-radius: 20px;
    color: #fff;
}

.bubble-left::before {
  content: "";
  position: absolute;
  left: -15px;
  top: 40px;
  width: 0;
  height: 0;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  border-right: 15px solid #bcefff;
}

.bubble-right::before {
  content: "";
  position: absolute;
  right: -15px;
  top: 40px;
  width: 0;
  height: 0;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  border-left: 15px solid #d4f5d8;
}

.page-tag > span {
    display: inline-block;
}

.list-view {
    display:none;
}

@media screen and (min-width: 768px) {
    body {
        font-size: 16px;
        line-height: 1.5;
        word-break: break-all;
        padding-top:97px;
    }
    h1 {
        font-size: 36px;
        font-weight: 500;
        line-height: 1.5;
    }
    h2 {
        font-size: 32px;
        font-weight: 500;
        line-height: 1.5;
    }
    h3 {
        font-size: 26px;
    	font-weight: 500;
    	line-height: 1.5;
    }
    h4 {
        font-size: 22px;
    	font-weight: 500;
    	line-height: 1.5;
    }
    h5 {
        font-size: 18px;
        font-weight: 500;
    	line-height: 1.5;
    }
    p {
        font-size: 16px;
    }
    
      .scroll-navbar .nav-arrow i {
        background: #3586a0;
        color: #fff;
    }
}

@media screen and (max-width: 767px) {
    body {
        font-size: 16px;
        line-height: 1.5;
        word-break: break-all;
        padding-top:60px;
    }
    h1 {
        font-size: 28px;
        font-weight: 500;
        line-height: 1.5;
    }
    h2 {
        font-size: 24px;
        font-weight: 500;
        line-height: 1.5;
    }
    h3 {
        font-size: 22px;
        font-weight: 500;
        line-height: 1.5;
 	}
    h4 {
        font-size: 20px;
        font-weight: 500;
        line-height: 1.5;
    }
    h5 {
        font-size: 16px;
        font-weight: 500;
        line-height: 1.5;
    }
    .slide-menu-btn {
    	top: 10px;
   		right: 10px;
    	width: 40px;
    	height: 40px;
        font-size: 18px;
        border-radius: 20px;
	}
    .embed:has(#mapFrame) {
        height: 50vh;
	}
}